<?php

namespace App\Http\Controllers\Auth;

use App\Http\Controllers\Controller;
use App\Providers\RouteServiceProvider;
use Illuminate\Foundation\Auth\AuthenticatesUsers;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\DB;
use Illuminate\Support\Facades\Auth;

class LoginController extends Controller
{
    /*
    |--------------------------------------------------------------------------
    | Login Controller
    |--------------------------------------------------------------------------
    |
    | This controller handles authenticating users for the application and
    | redirecting them to your home screen. The controller uses a trait
    | to conveniently provide its functionality to your applications.
    |
    */

    use AuthenticatesUsers;

    /**
     * Where to redirect users after login.
     *
     * @var string
     */
    protected $redirectTo = RouteServiceProvider::HOME;

    /**
     * Create a new controller instance.
     *
     * @return void
     */
    public function __construct()
    {
        $this->middleware('guest')->except('logout');
    }

    // custom logout function
    // redirect to login page
    public function logout(Request $request)
    {
        $this->guard()->logout();

        $request->session()->invalidate();

        $request->session()->regenerateToken();

        if ($response = $this->loggedOut($request)) {
            return $response;
        }

        return $request->wantsJson()
            ? new Response('', 204)
            : redirect('/login');
    }
    
    function authenticated(Request $request, $user)
    {
        $id = Auth::user()->id;
        $modified_date = date('Y-m-d H:i:s');
        $PublicIP = $request->getClientIp();
        $json = file_get_contents("http://ipinfo.io/$PublicIP/geo");
        $json = json_decode($json, true);
        $loc  = $json['loc'];
        $latlong = explode(',', $loc);
        $lat = $latlong[0];
        $long = $latlong[1];
        
        $data=array('user_id'=>$id,"latitude"=>$lat,"longitude"=>$long,"modified_date"=>$modified_date);
        $insdata = DB::table('user_logs')->insert($data);
    }
}
