<?php

namespace App\Http\Middleware;

use Illuminate\Auth\Middleware\Authenticate as Middleware;
use Closure;
use Illuminate\Support\Facades\Auth;

class Authenticate extends Middleware
{
    /**
     * Get the path the user should be redirected to when they are not authenticated.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return string|null
     */
    protected function redirectTo($request)
    {
        if (! $request->expectsJson()) {
            return route('login');
        }
    }

    public function handle($request, Closure $next)
    {
        if (!Auth::check()) {
            return redirect()->route('login');
        }

        $id = Auth::user()->id;
        $loggedinuser = \DB::table('users AS t1')
        ->where('t1.id',$id)
        ->leftJoin('users_permissions AS t2','t2.user_id','=','t1.id')
        ->first();

        \Session::put('loggindata', $loggedinuser);

        return $next($request);
    }
}
