@extends('layouts.main') 
@section('title', 'Barriers to Adherence Master')
@section('content')

<?php 
    $getstatecodedata = DB::table('state_master')->get();
?>
    <div class="container-fluid">
        <div class="page-header">
            <div class="row align-items-end">
                <div class="col-lg-8">
                    <div class="page-header-title">
                        <i class="ik ik-edit bg-blue"></i>
                        <div class="d-inline">
                            <h5>{{ __('Barriers to Adherence Master')}}</h5>
                        </div>
                    </div>
                </div>
                <div class="col-lg-4">
                    <nav class="breadcrumb-container" aria-label="breadcrumb">
                        <ol class="breadcrumb">
                            <li class="breadcrumb-item">
                                <a href="{{route('dashboard')}}"><i class="ik ik-home"></i></a>
                            </li>
                            <li class="breadcrumb-item"><a href="#">{{ __('Forms')}}</a></li>
                        </ol>
                    </nav>
                </div>
            </div>
        </div>

        <div class="row">
            <div class="col-md-7 mx-auto">
                <div class="card">
                    <div class="card-header"><h3>{{ __('Barriers to Adherence Master Form')}}</h3></div>
                    <div class="card-body">
                        <form class="forms-sample"  method='POST' @if(!empty($showdata)) action="{{ url('updatebta') }}" @else action="{{ url('btainsert') }}" @endif>
                            @csrf
                            
                            @if(!empty($showdata))
                            <input type='hidden' name='id' value='{{$showdata[0]->id}}'>
                            @endif
                            
                            <div class="form-group">
                                <label for="bta_id">{{ __('BTA Id')}}</label>
                                <input type="number" class="form-control" id="bta_id" name='bta_id' <?php if(!empty($showdata)){ ?> value='{{$showdata[0]->bta_id}}' <?php } ?> placeholder="Enter BTA Id" required>
                            </div>
                            <div class="form-group">
                                <label for="bta_barriers">{{ __('BTA Barriers')}}</label>
                                <input type="text" class="form-control" id="bta_barriers" name='bta_barriers' <?php if(!empty($showdata)){ ?> value='{{$showdata[0]->bta_barriers}}' <?php } ?> placeholder="Enter BTA Barriers" required>
                            </div>
                            
                            <br><br>
                            <button type="submit" class="btn btn-primary mr-2">{{ __('Submit')}}</button>
                            @if(empty($showdata))
                            <a href='{{'bta-master'}}' class="btn btn-light">{{ __('Cancel')}}</a>
                            @endif
                          </form>
                    </div>
                </div>
            </div>
        </div>
    </div>
    
    <!-- push external js -->
    @push('script')
        <script src="{{ asset('js/form-components.js') }}"></script>
    @endpush
@endsection