@extends('layouts.main') 
@section('title', 'Import Client Mapping Data')
@section('content')  
<script src="http://ajax.googleapis.com/ajax/libs/jquery/1.9.1/jquery.js"></script>  
<script src="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-datepicker/1.5.0/js/bootstrap-datepicker.js"></script>
<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/twitter-bootstrap/3.3.7/css/bootstrap.min.css">
<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/select2/4.0.0/css/select2.min.css">
<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-datetimepicker/4.7.14/css/bootstrap-datetimepicker.min.css">

<div class="container-fluid">
    <div class="page-header">
        <div class="row align-items-end">
            <div class="col-lg-8">
                <div class="page-header-title">
                    <i class="ik ik-edit bg-blue"></i>
                    <div class="d-inline">
                        <h5>{{ __('Import Client Mapping Data')}}</h5>
                    </div>
                </div>
            </div>
            <div class="col-lg-4">
                <nav class="breadcrumb-container" aria-label="breadcrumb">
                    <ol class="breadcrumb">
                        <li class="breadcrumb-item">
                            <a href="{{route('dashboard')}}"><i class="ik ik-home"></i></a>
                        </li>
                        <li class="breadcrumb-item"><a href="#">{{ __('Client Mapping')}}</a></li>
                    </ol>
                </nav>
            </div>
        </div>
    </div>

    <div class="row">
        <div class="col-md-7 mx-auto">
            <div class="card">
                <div class="card-header">
                    <div class="col-md-9 pl-0">
                        <h3>{{ __('Import Client Mapping Data') }}</h3>
                    </div>
                    <div class="col-md-3">
                        <a href="{{asset('uploads/Sample_Client_Mapping.csv')}}" download="{{asset('uploads/Sample_Client_Mapping.csv')}}" class='btn btn-primary'>{{__('Download Sample')}}</a>
                    </div>
                </div>

                <div class="card-body">
                    @if(session()->has('success'))                     
                    <div class="alert alert-success" role="alert" style="margin-top: 10px;">
                        {{ session()->get('success') }}
                    </div>
                    @endif
                    @if(session()->has('error'))
                    <div class="alert alert-danger" role="alert" style="margin-top: 10px;">
                        {{ session()->get('error') }}
                    </div>
                    @endif
                    <form class="forms-sample" method='POST' action="{{ url('upload_patient_mapping_data') }}" enctype="multipart/form-data">
                    @csrf
                        <div class="form-group">
                            <label for="upload_file">{{ __('1. Upload File')}}</label>
                            <input type="file" class="form-control" name='upload_file' required>
                        </div>

                        <button type="submit" id="submit" class="btn btn-primary mr-2">{{ __('Submit')}}</button>
                      </form>
                </div>
            </div>
        </div>
    </div>
</div>
    
<script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/1.12.4/jquery.min.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/select2/4.0.0/js/select2.full.min.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/moment.js/2.15.1/moment.min.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/twitter-bootstrap/3.3.7/js/bootstrap.min.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-datetimepicker/4.7.14/js/bootstrap-datetimepicker.min.js"></script>
@push('script')
    <script src="{{ asset('js/form-components.js') }}"></script>
@endpush
@endsection